<!DOCTYPE html>
<html>
<!-- 
    $$$$$$$$\ $$$$$$$$\  $$$$$$\  $$\      $$\        $$$$$$\        
    \__$$  __|$$  _____|$$  __$$\ $$$\    $$$ |      $$ ___$$\       
       $$ |   $$ |      $$ /  $$ |$$$$\  $$$$ |      \_/   $$ |      
       $$ |   $$$$$\    $$$$$$$$ |$$\$$\$$ $$ |        $$$$$ /       
       $$ |   $$  __|   $$  __$$ |$$ \$$$  $$ |        \___$$\       
       $$ |   $$ |      $$ |  $$ |$$ |\$  /$$ |      $$\   $$ |      
       $$ |   $$$$$$$$\ $$ |  $$ |$$ | \_/ $$ |      \$$$$$$  |      
       \__|   \________|\__|  \__|\__|     \__|       \______/    
    
       This Page was designed by Carlos Galvan Jr for Team 3's Project 2
    -->


<head>
    <title>RPS</title>
    <meta charset="UTF-8" />
    <!-- bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js"
        integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p"
        crossorigin="anonymous"></script>

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js"
        integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF"
        crossorigin="anonymous"></script>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <!-- <script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script> -->
    <script src="https://unpkg.com/@popperjs/core@2/dist/umd/popper.js"></script>

    <script src="https://kit.fontawesome.com/16380c7e0d.js" crossorigin="anonymous"></script>

    <link rel="icon" href="favIcon.png" type="image/icon type">
</head>

<body onchange="verifyToken()">
    <!-- Nav bar created by david -->
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <div class="container-fluid">
          <a class="navbar-brand" href="#">NPC</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./home.html">Home</a>
              </li>
              <li class="nav-item">
                <a class="nav-link active" aria-current="page" href="./account.html">Account</a>
              </li>
              <!-- <li class="nav-item">
                <a id="register-a"class="nav-link active" aria-current="page" hidden href="./register.html">Register</a>
              </li>
              <li class="nav-item">
                <a id="login-a"class="nav-link active" aria-current="page" hidden href="./login.html">Login</a>
              </li> -->
              <li class="nav-item dropdown">
                <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" aria-expanded="false">
                  Games
                </a>
                <ul class="dropdown-menu" aria-labelledby="navbarDropdown">
                  <li><a class="dropdown-item" href="./rockpaperscissors.html">1. Rock Paper Scissors</a></li>
                  <li><a class="dropdown-item" href="./stockguessing.html">2. Stock Guessing Game</a></li>
                  <li><a class="dropdown-item" href="./coin-flip.html">3. Coin Flip Game</a></li>

                </ul>
              </li>
              <li id="rules-button" class="nav-item">
                <!-- Button triggered modal with game rules -->
                <button type="button" class="btn btn-warning" data-bs-toggle="modal" data-bs-target="#exampleModal">
                    Rules
                  </button>
              </li>
            </ul>
            <ul class = "navbar-nav mb-2 mb-lg-0">
              <li class="nav-item d-flex">
                <button id="logout-button" type="button" class="btn btn-outline-danger">Log Out</button>
                <!-- <a id="logout-a"class="nav-link active" aria-current="page" hidden="false" href="#">Logout</a> -->
              </li>
            </ul>
        
          </div>
        </div>
      </nav>
    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Rock Paper Scissors</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                Pick! Rock, Paper, or Scissors. Bet on which one you think will succeed!
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
        </div>
    </div>
    <!-- RockPaperScissor Game -->
    <div class="d-flex flex-column min-vh-100 justify-content-center align-items-center">
        <div class="fixed-bottom">
            <button type="button" class="btn btn-light m-1" id="computer-guess" disabled>
                <!-- <p ></p> -->
            </button>
        </div>
        <div class="alert alert-info" role="alert" id="wager-balance">
            Current Wager: 0 points
        </div>

        <form id="rock-paper-scissor-form" onsubmit="getGuess()">
            <main class="card-group" id="main-game-card">
                <section class="card mx-auto">
                    <!-- <header class="card-header"> -->
                    <!-- <div class="row justify-content-between"> -->
                    <!-- <div class="col-md-10"> -->
                    <h2 class="card-header" id="rps-header">Rock Paper or Scissor?

                    </h2>
                    <span class="position-absolute top-0 start-100 translate-middle badge rounded-pill bg-danger"
                        id="level-badge">
                        Lvl.1
                    </span>


                    <!-- <span class="visually-hidden">unread messages</span> -->
                    <!-- <button type="button" class="btn btn-light" data-toggle="modal" data-target="#exampleModal"> -->
                    <!-- <i class="fas fa-info-circle"></i> -->

                    <!-- </button> -->
                    <!-- </div> -->
                    <!-- </div> -->
                    <!-- </header> -->
                    <section class="card-body mx-auto">

                        <div class="btn-group" role="group" aria-label="Basic mixed styles example">

                            <input type="checkbox" class="btn-check" id="btn-check-rock" name="rpc-check" value="Rock"
                                autocomplete="off" onclick="changeBackgroundViaButton('Rock')">
                            <label class="btn btn-info" for="btn-check-rock" data-bs-toggle="tooltip"
                                data-bs-placement="top" title="Rock">
                                <i class="far fa-hand-rock fa-5x"></i>
                            </label>

                            <input type="checkbox" class="btn-check" id="btn-check-paper" name="rpc-check" value="Paper"
                                autocomplete="off" onclick="changeBackgroundViaButton('Paper')">
                            <label class="btn btn-light" for="btn-check-paper" data-bs-toggle="tooltip"
                                data-bs-placement="top" title="Paper">
                                <i class="far fa-hand-paper fa-5x"></i>
                            </label>



                            <input type="checkbox" class="btn-check" id="btn-check-scissor" name="rpc-check"
                                value="Scissors" autocomplete="off" onclick="changeBackgroundViaButton('Scissor')">
                            <label class="btn btn-warning" for="btn-check-scissor" data-bs-toggle="tooltip"
                                data-bs-placement="top" title="Scissor">
                                <i class="far fa-hand-scissors fa-5x"></i>
                            </label>
                            <!-- <button type="button" class="btn btn-success" data-bs-toggle="tooltip"
                                data-bs-placement="top" title="Scissor">
                                <i class="far fa-hand-scissors fa-5x"></i>
                                <!-- <i class="fas fa-cut fa-5x"></i> 
                            </button> -->
                        </div>


                        <br>


                    </section>

                    <footer class="card-footer d-none" id="bet-area">
                        <label for="money-input" class="form-label">Place Your Bet</label>
                        <div class="input-group mb-3">
                            <span class="input-group-text"><i class="fas fa-hand-holding-medical"></i></span>
                            <input type="number" class="form-control" id="money-input" type="number" name="bet" min="0"
                                placeholder="0" required step="1" aria-label="Amount (to the nearest dollar)" required>
                            <!-- <span class="input-group-text">.00</span> -->
<input type="reset" class="btn-check" value="Reset" id="btn-clear" onclick="clearChoice()"
                                autocomplete="off">

                            <label class="btn btn-danger " id="clear-choice" for="btn-clear">
                                clear
                            </label>
                            <!-- <input type="submit" class="btn btn-success" /> -->
                            <!-- <a href="#" class="btn btn-primary">Bet</a> -->
                        </div>

                        <div class=" mt-3 d-none" id="clear-container">

                            

                            <input type="submit" class="btn btn-success" value="Submit" autocomplete="off">

                            <!-- <label class="btn btn-danger " id="clear-choice" for="btn-clear">
                                Submit
                            </label> -->
                            
                        </div>

                    </footer>



                </section>
            </main>
        </form>

        <!-- loading animation -->
        <div class="fa-3x" style="display: none;" id="loading-animation">
            <i class="fas fa-spinner fa-pulse"></i>
        </div>
        <!-- Post Game Evaluation -->
        <main class="card-group" id="game-eval-card" style="display: none;">
            <section class="card text-center" style="width: 18rem;">
                <h2 class="card-header" id="game-eval-header">
                    Congratulations!
                </h2>
                <main class="card-body">
                    <!-- Winning Options -->
                    <div class="container" style="min-width: 100px">
                        <div class="d-none" id="evaluate-win-container">
                            <p>You guessed the winning hand! What would you like to do now?</p>
                            <div class="button-goup">
                                <button type="button" class="btn btn-success" id="win-card-button-cashout"
                                    onclick="cashOut()">Cash
                                    Out</button>
                                <button type="button" class="btn btn-primary" id="win-card-button-continue"
                                    onclick="continueButton()">Continue</button>
                                <button type="button" class="btn btn-success" id="win-card-button-win-cont"
                                    onclick="playAgainButton()" style="display: none;">Play Again?</button>
                            </div>
                        </div>
                        <!-- Lossing Options -->
                        <div class="d-none" id="evaluate-loss-container">
                            <p id="losing-eval-prompt">You guessed the lossing hand? You lost a total of $xxx.xx</p>
                            <div class="button-goup">
                                <button type="button" class="btn btn-success" id="win-card-button-cashout"
                                    onclick="playAgainButton()">Play Again?</button>
                                <button type="button" class="btn btn-primary" id="win-card-button-continue" onclick="quitButton()">Game
                                    Menu</button>
                            </div>
                        </div>
                        <!-- Draw Options -->
                        <div class="d-none" id="evaluate-tie-container">
                            <p>You guessed the same hand! </p>
                            <div class="button-goup">
                                <button type="button" class="btn btn-success" id="win-card-button-cashout" onclick="quitButton()">Quit</button>
                                <button type="button" class="btn btn-primary" id="win-card-button-continue"
                                    onclick="continueButton()">Continue</button>
                            </div>
                        </div>
                </main>
                <!-- <footer class="card-footer">its me</footer> -->
            </section>
        </main>

    </div>


    <!-- Modal -->
    <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Rock Paper Scissors</h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                Pick! Rock, Paper, or Scissors. Bet on which one you think will succeed!
            </div>
            <div class="modal-footer">
            <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
        </div>
    </div>
    <script type="text/javascript" src="./js/logout.js"></script>
    <script type="text/javascript" src="./js/rpc_js/presentation.js"></script>
</body>

</html>